#include <bits/stdc++.h>
using namespace std;
const int N=3e5+6;
int n,m,cnt,ans;
int b[N];
int kol=0;
int a[N],c[N];
int main (){
	cin >> n >> m;
	for(int i=1; i<=m; i++){
		cin >> a[i];
	}
	sort(a+1,a+m+1);
	cnt=1;
	for(int i=2; i<=m; i++){
		if(a[i-1]==a[i]){
			cnt++;
		}
		else{
			if(cnt>=n){
				ans++;
				c[ans]=a[i-1];
			}
			cnt=1;
		}
		//cout << cnt << " ";
	}
	if(cnt>=n){
		ans++;
		c[ans]=a[m];
	}
	cout << ans << endl;
	for(int i=1; i<=ans; i++){
		cout << c[i] << " ";
	}
}
